#!/usr/bin/perl -w
# $Id$

use strict;

use lib qw(/usr/lib/perl5/vendor_perl/5.10.0/POE/Test/Loops);
use Test::More;
use POSIX qw(_exit);

sub skip_tests {
  return "Event tests require the Event module" if (
    do { eval "use Event"; $@ }
  );
  my $test_name = shift;
  if ($test_name eq "k_signals_rerun" and $^O eq "MSWin32") {
    return "This test crashes Perl when run with Tk on $^O";
  }
  if ($test_name eq "wheel_readline" and $^O eq "darwin") {
    return "Event skips two of its own tests for the same reason";
  }
}


BEGIN {
  if (my $why = skip_tests('ses_nfa')) {
    plan skip_all => $why
  }
}

# Run the tests themselves.
require 'ses_nfa.pm';

_exit 0 if $^O eq 'MSWin32';
CORE::exit 0;
