#!/usr/bin/perl -w
# $Id$

use strict;

use lib qw(/usr/lib/perl5/vendor_perl/5.10.0/POE/Test/Loops);
use Test::More;
use POSIX qw(_exit);

sub skip_tests {
  return "Tk needs a DISPLAY (set one today, okay?)" unless (
    (defined $ENV{DISPLAY} and length $ENV{DISPLAY}) or $^O eq "MSWin32"
  );
  my $test_name = shift;
  if ($test_name eq "k_signals_rerun" and $^O eq "MSWin32") {
    return "This test crashes Perl when run with Tk on $^O";
  }
  return "Tk tests require the Tk module" if do { eval "use Tk"; $@ };
  my $m = eval { Tk::MainWindow->new() };
  if ($@) {
    my $why = $@;
    $why =~ s/ at .*//;
    return "Tk couldn't be initialized: $why";
  }
  return;
}


BEGIN {
  if (my $why = skip_tests('wheel_readwrite')) {
    plan skip_all => $why
  }
}

# Run the tests themselves.
require 'wheel_readwrite.pm';

_exit 0 if $^O eq 'MSWin32';
CORE::exit 0;
